#!/bin/sh
# @$-s /bin/sh
# @$-q a
# @$-me -mu takepiro@geo.kyushu-u.ac.jp
# @$
#
#  ¹ԥ륹ץȥץ(ͤη׻)
#      ѥ᥿ꤹ٤
# 
##################### ʲĶ˹碌ѹ #######################
#
#       bsnsq_2d 󥹥ȡǥ쥯ȥ̾
BSNDIR=$HOME/model/bsnsq_2d_f90.new/dbldif
#
#       ǥ¹ NAMELIST ϥե̾
CNTLDIR=$BSNDIR/cntl
INPUT=$CNTLDIR/test.in
OUTPUT=$CNTLDIR/test.out
#
#       ϥǡե֤ǥ쥯ȥ
#       (ץ¹ԻΥȥѥ)
DATADIR=$BSNDIR/data
#
#       ϥǡե̾(ꥹȥե̾)
INITDAT=test_nx257nz33.init
#
#       ϥǡե̾(ꥹȥե̾)
RSTDAT=test.nc
#
#       ¹ԥץ̾
RUN=$BSNDIR/bin/dbldif
#
###TIMEX=timex
###TIMEX=time
TIMEX=
#
########################################################################
cat << END_OF_DATA > $INPUT
#
# Υѥ᥿
&NMCORD nx=257, xlength =  8., nz=33, zlength =  1.
        xcycl=T, zcycl=F /
&NMTIME nt = 1000,  ndisp =50, dt=1e-5 /
&NMIVAR file="$INITDAT" /

# ϳإѥ᥿
&NMDYN   ondim=.true., opr_inf=.false. / 
&NMDYNN  Pr=1.0, Ra=1e5, Rs=0, Le=1e2 /

# 
&NMBNDD oslip=.true. /
&NMBNDT otfix_top = T,        tftop =  0.0, 
        otfix_bottom = T,     tfbtm =  1.0, 
        otfix_left = F,       tfleft =  0.0, 
        otfix_right = F,      tfright = 0.0  /

&NMBNDC ocfix_top = T,        cftop =  0.0, 
        ocfix_bottom = T,     cfbtm =  1.0, 
        ocfix_left = F,       cfleft =  0.0, 
        ocfix_right = F,      cfright = 0.0  /

# 
&NMOUT iws=0, file="$RSTDAT" /

END_OF_DATA
##################################################################
        cd $DATADIR
        echo 'Program started at' `date` 'on' `hostname` 1> $OUTPUT
        $TIMEX $RUN $* < $INPUT 1>> $OUTPUT 2>&1
        echo 'Program ended at' `date` 1>> $OUTPUT
